Bug 11786 - Improve RDFa schema.org mappings in prog and bootstrap
Summary: Improve RDFa schema.org mappings in prog and bootstrap
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 3.14
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Dan Scott
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-18 18:34 UTC by Dan Scott
Modified: 2015-06-04 23:30 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Improves schema.org RDFa mappings (assumes 11310 is merged first) (13.54 KB, patch)
2014-02-18 18:34 UTC, Dan Scott
Details | Diff | Splinter Review
Improves schema.org RDFa mappings (13.54 KB, patch)
2014-02-21 16:47 UTC, Dan Scott
Details | Diff | Splinter Review
Bug 11786: Improve RDFa structured data schema.org mappings (13.67 KB, patch)
2014-03-31 19:30 UTC, Chris Cormack
Details | Diff | Splinter Review
[PASSED QA] Bug 11786: Improve RDFa structured data schema.org mappings (13.91 KB, patch)
2014-03-31 20:25 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Dan Scott 2014-02-18 18:34:30 UTC Comment hidden (obsolete)
Comment 1 Dan Scott 2014-02-21 16:47:45 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2014-03-31 19:30:48 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2014-03-31 20:25:08 UTC
Created attachment 26712 [details] [review]
[PASSED QA] Bug 11786: Improve RDFa structured data schema.org mappings

This patch updates both the prog and bootstrap themes to provide better
schema.org mappings for catalogue elements in the following ways:

* More granular author attributes (one "author" property per author in records
  with multiple contributors; wrap in a Person or Organization type instead of
  using a simple literal value)
* Use "byArtist" instead of "author" for music recordings to respect schema.org
  preferences
* Use alternateName instead of alternativeHeadline, as the former is a better
  parallel to the "name" property

Signed-off-by: Dan Scott <dan@coffeecode.net>
Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Only covers MARC21, but that is no reason not to move it forward

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Passes all tests. Looked at the source code of a few records in both
prog and bootstrap and took a look at the properties using
http://www.google.com/webmasters/tools/richsnippets.
Comment 4 Galen Charlton 2014-04-01 13:57:06 UTC
Pushed to master.  Thanks, Dan!
Comment 5 Fridolin SOMERS 2014-07-11 06:54:28 UTC
Pushed to 3.14.x, will be in 3.14.09